Skip to main content

## number

The number commands converts formatted numeric values such as 1,234.56 to unformatted values on which arithmetic operations can be correctly performed, such as 1234.56. Numbers formatted using US/UK English format (comma thousands separator, full-stop decimal separator) or European format (full-stop thousands separator, comma decimal separator).

See also: money

Flag | Req'd? | Description
-f fieldlist | No | Specifies a comma-separated list of field indices identifying the fields in the input which will be converted. If none are specified, conversion will be attempted on all fields.
-fmt format | No | Format to convert from. Must be one of EN (US/UK English, the default), or EU (European).
-ec | No | Treat conversion failure as an error. Normally, if conversion cannot be performed, the original value is used on output.
-es str | No | If conversion fails, use the string str as the output value.

Created with the Personal Edition of HelpNDoc: Free Web Help generator

####